Get transfer details
Retrieve a list of transfer details records for a paypoint. Use filters to limit results. Include the exportFormat query parameter to return the results as a file instead of a JSON response.
Authentication
Bearer authentication of the form Bearer <token>, where token is your auth token.
Long-lived API token sent in the requestToken header. See API token authentication.
Path parameters
The entity’s entrypoint identifier. Learn more
Query parameters
Max number of records to return for the query. Use 0 or negative value to return all records. Defaults to 20.
Collection of field names, conditions, and values used to filter the query.
You must remove parameters= from the request before you send it, otherwise Payabli will ignore the filters.
Because of a technical limitation, you can’t make a request that includes filters from the API console on this page. The response won’t be filtered. Instead, copy the request, remove parameters= and run the request in a different client, for example:
should become:
—url https://api-sandbox.payabli.com/api/Query/transactions/org/236?totalAmount(gt)=1000&limitRecord=20
See Filters and Conditions Reference for more information.
Accepted field names:
grossAmount(gt, ge, lt, le, eq, ne)chargeBackAmount(gt, ge, lt, le, eq, ne)returnedAmount(gt, ge, lt, le, eq, ne)billingFeeAmount(gt, ge, lt, le, eq, ne)thirdPartyPaidAmount(gt, ge, lt, le, eq, ne)netFundedAmount(gt, ge, lt, le, eq, ne)adjustmentAmount(gt, ge, lt, le, eq, ne)splitFundingAmount(gt, ge, lt, le, eq, ne)operation(in, nin, eq, ne)transactionId(eq, ne, in, nin)category(eq, ne, ct, nct)type(eq, ne, in, nin)method(eq, ne, in, nin)
The field name to use for sorting results. Use desc(field_name) to sort descending by field_name, and use asc(field_name) to sort ascending by field_name.